Package com.sun.speech.engine

# Class BaseAudioManager

java.lang.Object
com.sun.speech.engine.BaseAudioManager

public class BaseAudioManager extends Object
Supports the JSAPI 1.0 `AudioManager` interface. Actual JSAPI implementations might want to extend or modify this implementation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Collection`
`listeners`
List of `AudioListeners` registered for `AudioEvents` on this object.

## Constructor Summary

Constructors
Constructor
Description
`BaseAudioManager()`
Class constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addAudioListener(AudioListener listener)`
Requests notification of `AudioEvents` from the `AudioManager`.
`void`
`removeAudioListener(AudioListener listener)`
Removes an `AudioListener` from the list of `AudioListeners`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### listeners

protected Collection listeners
List of `AudioListeners` registered for `AudioEvents` on this object.

## Constructor Details

### BaseAudioManager

public BaseAudioManager()
Class constructor.

## Method Details

### addAudioListener

public void addAudioListener(AudioListener listener)
Requests notification of `AudioEvents` from the `AudioManager`.

Parameters:
  `listener` - the listener to add

### removeAudioListener

public void removeAudioListener(AudioListener listener)
Removes an `AudioListener` from the list of `AudioListeners`.

Parameters:
  `listener` - the listener to remove